# Users

 * [Quickstart](./web/quickstart.md): HowTo for users.
 * [Read Overview](https://graphhopper.com/#overview): Summary of the product GraphHopper. 
 * [Add GraphHopper Maps to your Browser](./web/open-search.md): Instructions how to setup GraphHopper as the standard search enginge in your browser.
 * [Embed GraphHopper on your website](https://github.com/karussell/graphhopper-embed-form): A small code snippet on how to integrate GraphHopper Maps in your web site like a contact form

# Translators

* [Translations](./core/translations.md): Tutorial how to help with the GraphHopper translations or how to setup a new language.


# Developers

 * [Quickstart](./core/quickstart-from-source.md): Introduction for developers. Explains git checkout, IDE setup and commands for setting up a GraphHopper server.
 * [Android](./android/index.md): Instructions how to setup the demo project for GraphHopper on Android as base for further development (i.e. with Android Studio).
 * [Windows](./core/windows-setup.md): Documentation about how to get an GraphHopper instance running on windows (cygwin).
 * [Set up and run GraphHopper in Eclipse](./core/eclipse-setup.md): Detailed instructions how to setup GraphHopper in eclipse with maven.
 * [iOS](https://github.com/graphhopper/graphhopper-ios/): Link to the GraphHopper-iOS github repository.

## Core

 * [Simple routing](./core/routing.md): Tutorial how to integrate GraphHopper in your Java application (or pick any JVM language)
 * [Create custom weighting](./core/weighting.md): Documentation about how to create a custom weighting class to influence the track calculation.
 * [Elevation](./core/elevation.md): Documentation how to enable the usage of elevation for the output of the track.
 * [Technical overview](./core/technical.md): Technical details about how GraphHopper its calculations are working.
 * [Slides](https://graphhopper.com/public/slides/): Small presentations about how GraphHopper is working.
 * [Contraction Hierarchies](./core/ch.md): Details about speeding up the track calculations by [Contraction Hierarchies](http://en.wikipedia.org/wiki/Contraction_hierarchies).
 * [Deployment Guide](./core/deploy.md): Details about deploying GraphHopper.

## Web

 * [Routing API](./web/api-doc.md): Documentation of the Web API to communicate with any GraphHopper server via http.
 
## Advanced Topics

 * [Low level API](./core/low-level-api.md): Instructions how to use GraphHopper as a Java library.
 * [Create new FlagEncoder](./core/create-new-flagencoder.md): Documentation to create new routing profiles to influence which ways to favor and how the track-time is calculated.
 * [LocationIndex](./core/location-index.md): Documentation about how to get the location index for getting i.e. the nearest edge.
 * [World-Wide-Road-Network](./core/world-wide.md): Details about using the whole world wide street data.
 * [Changelog](https://github.com/graphhopper/graphhopper/blob/master/core/files/changelog.txt): Latest changes.
